Skip to main content
GET
Fetches input and output data for a NodeExecution.

Path Parameters

id.execution_id.project
string
required

Name of the project the resource belongs to.

id.execution_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.execution_id.name
string
required

User or system provided value for the resource.

id.node_id
string
required

Query Parameters

id.execution_id.org
string

Optional, org key applied to the resource.

Response

A successful response.

Response structure for NodeExecutionGetDataRequest which contains inputs and outputs for a node execution.

dynamic_workflow
object

For dynamic workflow nodes we capture information about the dynamic workflow definition that gets generated.

flyte_urls
object

These URLs are returned as part of node and task execution data requests.

full_inputs
object

A map of literals. This is a workaround since oneofs in proto messages cannot contain a repeated field.

full_outputs
object

A map of literals. This is a workaround since oneofs in proto messages cannot contain a repeated field.

inputs
object

Represents a string url and associated metadata used throughout the platform.

outputs
object

Represents a string url and associated metadata used throughout the platform.

Last modified on August 27, 2026